CREATE TABLE ego_import_errors (
    ERROR_ID                 NUMBER(18, 0) ,
    OBJECT_VERSION_NUMBER    NUMBER(9, 0)      NOT NULL,
    ORGANIZATION_CODE        VARCHAR2(72)      NOT NULL,
    CHANGE_NOTICE            VARCHAR2(200)     NOT NULL,
    ERROR_TABLE_NAME         VARCHAR2(120)     NOT NULL,
    MESSAGE_TEXT             VARCHAR2(4000)    NOT NULL,
    TRANSACTION_ID           NUMBER(18, 0) ,
    REQUEST_ID               NUMBER(18, 0) ,
    ERROR_COLUMN_NAME        VARCHAR2(120) ,
    MESSAGE_SEVERITY         VARCHAR2(4)   ,
    MESSAGE_NAME             VARCHAR2(120) ,
    ITEM_NUMBER              VARCHAR2(1200),
    FILE_NAME                VARCHAR2(4000),
    ERROR_TYPE               VARCHAR2(120) ,
    ERROR_PROCESS_PHASE      VARCHAR2(120) ,
    LOAD_REQUEST_ID          NUMBER(18, 0) ,
    CREATED_BY               VARCHAR2(256)     NOT NULL,
    CREATION_DATE            TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY          VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE         TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN        VARCHAR2(128) ,
    ERROR_ID                 NUMBER(18, 0) ,
    OBJECT_VERSION_NUMBER    NUMBER(9, 0)      NOT NULL,
    ORGANIZATION_CODE        VARCHAR2(72)      NOT NULL,
    CHANGE_NOTICE            VARCHAR2(200)     NOT NULL,
    ERROR_TABLE_NAME         VARCHAR2(120)     NOT NULL,
    MESSAGE_TEXT             VARCHAR2(4000)    NOT NULL,
    TRANSACTION_ID           NUMBER(18, 0) ,
    REQUEST_ID               NUMBER(18, 0) ,
    ERROR_COLUMN_NAME        VARCHAR2(120) ,
    MESSAGE_SEVERITY         VARCHAR2(4)   ,
    MESSAGE_NAME             VARCHAR2(120) ,
    ITEM_NUMBER              VARCHAR2(1200),
    FILE_NAME                VARCHAR2(4000),
    ERROR_TYPE               VARCHAR2(120) ,
    ERROR_PROCESS_PHASE      VARCHAR2(120) ,
    LOAD_REQUEST_ID          NUMBER(18, 0) ,
    CREATED_BY               VARCHAR2(256)     NOT NULL,
    CREATION_DATE            TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY          VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE         TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN        VARCHAR2(128) ,
    CONSTRAINT pk_ego_import_errors PRIMARY KEY (ERROR_ID, ERROR_ID)
);
